Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025185
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Cash Managementmajoralways2013-11-19 21:172014-09-25 15:39
ReportermalsasuaView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision286f4bd6dd30
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025185: customer balance is updated wrongly in cashup process

Descriptionthe cashup process increases the customer balance of the BP although the receipt was paid
Steps To Reproduce. create a new BP: customer balance is 0
. in WEB POS create a new receipt for this BP (total amount 100), and paid it (credit is not used)
the customer balance of BP is 0
. run the cash up process
now, the customer balance is 100
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062335)
malsasua (developer)
2013-11-21 17:27

the process "OrderGroupingProcess" never updates the customer balance:
. if the receipt is paid using "credit user" -> the invoice is created, and the customer balance is increased by the OrderLoader process.
. if the receipt is paid -> 2 cases:
  . the receipt is invoiced from WEB POS -> then the credit is increased in OrderLoader process, and it is decreased by the payments related to the invoice. So, the customer balance don't change.
  . the invoice is not generated from WEB POS -> the orderLoader process and the cashup process don't update the credit
(0062336)
hgbot (developer)
2013-11-21 17:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 286f4bd6dd3067e82b35bf632935f8190648022b
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Nov 21 17:28:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]

Fixed issue 25185: customer balance is updated wrongly in cashup process

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0062350)
hgbot (developer)
2013-11-22 16:27

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 286f4bd6dd3067e82b35bf632935f8190648022b
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Nov 21 17:28:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]

Fixed issue 25185: customer balance is updated wrongly in cashup process

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0062364)
guilleaer (developer)
2013-11-25 11:31

reclosed
(0062586)
hgbot (developer)
2013-12-05 12:13

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 286f4bd6dd3067e82b35bf632935f8190648022b
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Nov 21 17:28:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]

Fixed issue 25185: customer balance is updated wrongly in cashup process

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0062637)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062914)
hgbot (developer)
2013-12-19 19:48

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 286f4bd6dd3067e82b35bf632935f8190648022b
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Nov 21 17:28:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]

Fixed issue 25185: customer balance is updated wrongly in cashup process

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0063013)
guilleaer (developer)
2013-12-20 15:12

reclosed
(0070388)
hgbot (developer)
2014-09-25 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 063caab02583960df3f77bd79908eb7a383dcb0c
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Sep 25 15:39:09 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/063caab02583960df3f77bd79908eb7a383dcb0c [^]

Related to issue 25185: customer balance is updated wrongly in cashup process
Removed initialization of a variable which was not used, solved eclipse source warning

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---

- Issue History
Date Modified Username Field Change
2013-11-19 21:17 malsasua New Issue
2013-11-19 21:17 malsasua Assigned To => marvintm
2013-11-19 21:17 malsasua Triggers an Emergency Pack => No
2013-11-21 17:27 malsasua Note Added: 0062335
2013-11-21 17:28 hgbot Checkin
2013-11-21 17:28 hgbot Note Added: 0062336
2013-11-21 17:28 hgbot Status new => resolved
2013-11-21 17:28 hgbot Resolution open => fixed
2013-11-21 17:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]
2013-11-22 09:34 marvintm Review Assigned To => marvintm
2013-11-22 09:34 marvintm Status resolved => closed
2013-11-22 09:34 marvintm Fixed in Version => RMP29
2013-11-22 16:27 hgbot Checkin
2013-11-22 16:27 hgbot Note Added: 0062350
2013-11-22 16:27 hgbot Status closed => resolved
2013-11-22 16:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]
2013-11-25 11:31 guilleaer Note Added: 0062364
2013-11-25 11:31 guilleaer Status resolved => closed
2013-12-05 12:13 hgbot Checkin
2013-12-05 12:13 hgbot Note Added: 0062586
2013-12-05 12:13 hgbot Status closed => resolved
2013-12-05 12:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]
2013-12-05 17:21 guilleaer Note Added: 0062637
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:48 hgbot Checkin
2013-12-19 19:48 hgbot Note Added: 0062914
2013-12-19 19:48 hgbot Status closed => resolved
2013-12-19 19:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/286f4bd6dd3067e82b35bf632935f8190648022b [^]
2013-12-20 15:12 guilleaer Note Added: 0063013
2013-12-20 15:12 guilleaer Status resolved => closed
2014-09-25 15:39 hgbot Checkin
2014-09-25 15:39 hgbot Note Added: 0070388


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker